- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
GNet::MultiServerPtr Class Reference

A private implementation class used by GNet::MultiServer. More...

`#include <gmultiserver.h>`

## Public Types
typedef GNet::MultiServerImp | ServerImp

## Public Member Functions
| MultiServerPtr (ServerImp *=NULL)
| Constructor. More...
| ~MultiServerPtr ()
| Destructor. More...
void | swap (MultiServerPtr &)
| Swaps internals with the other. More...
MultiServerImp * | get ()
| Returns the raw pointer. More...
const MultiServerImp * | get () const
| Returns the raw const pointer. More...
| MultiServerPtr (const MultiServerPtr &)
| Copy constructor. More...
void | operator= (const MultiServerPtr &)
| Assignment operator. More...

## Detailed Description

A private implementation class used by GNet::MultiServer.

The implementation is unusual in that it only has proper value semantics if the contained pointer is null; it is used in a way that makes allowances for that.

Definition at line 68 of file gmultiserver.h.

## Member Typedef Documentation

typedef GNet::MultiServerImp GNet::MultiServerPtr::ServerImp

Definition at line 71 of file gmultiserver.h.

## Constructor & Destructor Documentation

GNet::MultiServerPtr::MultiServerPtr | ( | ServerImp * | p = `NULL` | ) |
| explicit

Constructor.

Definition at line 180 of file gmultiserver.cpp.

GNet::MultiServerPtr::~MultiServerPtr | ( |  | ) |

Destructor.

Definition at line 190 of file gmultiserver.cpp.

GNet::MultiServerPtr::MultiServerPtr | ( | const MultiServerPtr & | other | ) |

Copy constructor.

Definition at line 185 of file gmultiserver.cpp.

## Member Function Documentation

GNet::MultiServerImp * GNet::MultiServerPtr::get | ( |  | ) |

Returns the raw pointer.

Definition at line 205 of file gmultiserver.cpp.

const GNet::MultiServerImp * GNet::MultiServerPtr::get | ( |  | ) | const

Returns the raw const pointer.

Definition at line 210 of file gmultiserver.cpp.

void GNet::MultiServerPtr::operator= | ( | const MultiServerPtr & | rhs | ) |

Assignment operator.

Definition at line 195 of file gmultiserver.cpp.

void GNet::MultiServerPtr::swap | ( | MultiServerPtr & | other | ) |

Swaps internals with the other.

Definition at line 200 of file gmultiserver.cpp.

The documentation for this class was generated from the following files:

- gmultiserver.h
- gmultiserver.cpp